package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.floor.entity.Floor;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.FloorVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class FloorWrapper extends BaseEntityWrapper<Floor, FloorVO> {


	public static FloorWrapper build(){
		return new FloorWrapper();
	}
	@Override
	public FloorVO entityVO(Floor floor) {

		FloorVO floorVO = Objects.requireNonNull(BeanUtil.copy(floor,FloorVO.class));
		return floorVO;
	}
}
